void mouseClicked()
{

  if (state == 0)
  {    
    // Convert picture to grayscale and invert the colors
    filter(GRAY);
    filter(INVERT);
    // Save an image
    saveFrame("source.jpg");
    
    // Create slider bars
    seaLevelSlider = new Slider(waterThreshold, 0, 255, width*0.25, height*0.8, width*0.35, "sea level");
    landHeightSlider = new Slider(landThreshold, 255, 200, width*0.75, height*0.8, width*0.35, "land height");
    
    // Create an array of Tile objects the same size as the window
    loadPixels();
    tiles = new Tile[pixels.length];
        
    // Advance to state 1
    state = 1;
    println("State 1");
    mouseClicked = true;
  } // end if state == 0


  if (state == 1 && mouseClicked == false)
  {    
    // Advance to state 2
    println("State 2");
    state = 2;
    mouseClicked = true;
  }  // end if (state == 1)
  
  if (state == 3 && mouseClicked == false)
  {
    transX += (width/2 - mouseX)/s;
    transY += (height/2 - mouseY)/s;
    mouseClicked = true;
  }  // end state 3
  
  
}  // end mouseClicked()


void mouseReleased()
{
  mouseClicked = false;
} // end mouseReleased()



void mouseDragged() {
  if (state == 1) {
    if (seaLevelSlider.mouse_over) seaLevelSlider.slider_location.x += mouseX - seaLevelSlider.slider_location.x;
    if (landHeightSlider.mouse_over) landHeightSlider.slider_location.x += mouseX - landHeightSlider.slider_location.x;
  }
}
